Package com.arms.api.report.export_service.model

## Enum ChartData.ChartType

- java.lang.Object
- - java.lang.Enum<ChartData.ChartType>
  - - com.arms.api.report.export_service.model.ChartData.ChartType

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<ChartData.ChartType>`
  Enclosing class:
    ChartData

      public static enum ChartData.ChartType
      extends java.lang.Enum<ChartData.ChartType>

  차트 유형

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `AREA` |
    `BAR` |
    `DOUGHNUT` |
    `LINE` |
    `PIE` |
    `RADAR` |
    `SCATTER` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ChartData.ChartType` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static ChartData.ChartType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BAR

          public static final ChartData.ChartType BAR

    - #### LINE

          public static final ChartData.ChartType LINE

    - #### PIE

          public static final ChartData.ChartType PIE

    - #### DOUGHNUT

          public static final ChartData.ChartType DOUGHNUT

    - #### AREA

          public static final ChartData.ChartType AREA

    - #### SCATTER

          public static final ChartData.ChartType SCATTER

    - #### RADAR

          public static final ChartData.ChartType RADAR

  - ### Method Detail

    - #### values

          public static ChartData.ChartType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ChartData.ChartType c : ChartData.ChartType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ChartData.ChartType valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null